# $Revision: 1.56.2.4 $, $Date: 2007/01/23 09:54:12 $
Summary:	GNOME pilot programs
Summary(da):	GNOME pilot programmer
Summary(pl):	Programy pilota GNOME
Summary(pt_BR):	Programas do GNOME Pilot
Summary(ru):	 GNOME    PalmPilot
Summary(uk):	 GNOME    PalmPilot
Summary(zh_CN):	GNOMEPalmPilotĳ
Name:		gnome-pilot
Version:	2.0.15
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-pilot/2.0/%{name}-%{version}.tar.bz2
# Source0-md5:	460a1fdd2206e1bbf820639831ca88f8
Patch0:		%{name}-capplet.patch
Patch1:		%{name}-ldadd.patch
URL:		http://www.gnome.org/gnome-pilot/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	ORBit2-devel >= 1:2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-panel-devel >= 2.14.0
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	gob2 >= 2.0.11
BuildRequires:	libbonobo-devel >= 2.8.1
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libxml2-devel
BuildRequires:	pilot-link-devel >= 0.12
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2 >= 2.14.0
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot<tm>. GNOME is the GNU Network Object Model
Environment. That's a fancy name but really GNOME is a nice GUI
desktop environment. It makes using your computer easy, powerful, and
easy to configure.

%description -l da
GNOME str for GNU Network Object Model Environment, GNU Netvrk
Objekt Model Milj. Et smart navn, men GNOME er i virkeligheden en
pnt GUI desktop milj. Det gr brugen af din computer nemmere,
kraftiger og nemmere at stte op.

%description -l pl
GNOME pilot jest kolekcj programw i demonw integrujcych GNOME z
PalmPilotem(TM).

%description -l pt_BR
GNOME pilot  um conjunto de programas para integrar o GNOME ao
PalmPilot(tm).

%description -l ru
GNOME pilot -        GNOME 
PalmPilot (tm).

%description -l uk
GNOME pilot -  æ     æ GNOME 
PalmPilot (tm).

%package libs
Summary:	GNOME pilot library
Summary(pl):	Biblioteka GNOME pilot
Group:		Development/Libraries

%description libs
GNOME pilot library.

%description libs -l da
Biblioteka GNOME pilot.

%package devel
Summary:	GNOME pilot includes, etc
Summary(da):	GNOME pilot include filer etc
Summary(ru):	   GNOME pilot
Summary(pl):	Biblioteki i pliki nagwkowe gpilotd
Summary(pt_BR):	Bibliotecas e arquivos de incluso do GNOME pilot
Summary(uk):	   GNOME pilot
Summary(zh_CN):	GNOME pilot
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libgnomeui-devel >= 2.14.0
Requires:	pilot-link-devel >= 0.11.8

%description devel
gpilotd libraries and includes.

%description devel -l da
gpilotd include filer og biblioteker.

%description devel -l pl
Biblioteki i pliki nagwkowe gpilotd.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para desenvolvimento baseado no
GNOME pilot.

%description devel -l ru
   GNOME pilot.

%description devel -l uk
   GNOME pilot.

%package static
Summary:	GNOME pilot static libraries
Summary(pl):	Biblioteki statyczne pakietu gnome-pilot
Summary(pt_BR):	Bibliotecas estticas do GNOME pilot
Summary(ru):	   GNOME pilot
Summary(uk):	Φ ¦̦  GNOME pilot
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GNOME pilot static libraries

%description static -l pl
Biblioteki statyczne pakietu gnome-pilot.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento baseado no GNOME pilot.

%description static -l ru
   GNOME pilot.

%description static -l uk
Φ ¦̦  GNOME pilot.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# regenerate
rm -f applet/gpilot-applet-progress.c gpilotd/gnome-pilot-client.c gpilotd/gnome-pilot-conduit.c gpilotd/gnome-pilot-conduit-backup.c
rm -f gpilotd/gnome-pilot-conduit-file.c gpilotd/gnome-pilot-conduit-standard.c libgpilotdCM/gnome-pilot-conduit-management.c
rm -f libgpilotdCM/gnome-pilot-conduit-config.c

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-usb \
	--enable-network
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.{la,a}
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info

install -d $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install pilot.schemas

%preun
%gconf_schema_uninstall pilot.schemas

%postun
%scrollkeeper_update_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/gpilot*
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%attr(755,root,root) %{_libdir}/gnome-pilot/conduits/lib*.so
%{_libdir}/bonobo/servers/*
%{_desktopdir}/*.desktop
%{_datadir}/gnome-pilot
%{_datadir}/idl/*
%{_sysconfdir}/gconf/schemas/pilot.schemas
%{_omf_dest_dir}/%{name}
%{_pixmapsdir}/*
%{_mandir}/man1/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-pilot.spec,v $
Revision 1.56.2.4  2007/01/23 09:54:12  glen
- update to 2.0.15

Revision 1.56.2.3  2007/01/23 09:45:09  glen
- pilot-link version detect fix

Revision 1.56.2.2  2007/01/22 23:56:57  glen
- rel 5: pilot-link soname change

Revision 1.56.2.1  2006/05/16 12:47:47  baggins
- rel 4
- rebuild with gnome 2.14

Revision 1.56  2005/11/29 12:23:24  freetz
- added libs subpackage

Revision 1.55  2005/10/05 18:55:42  freetz
- rel.2 for rebuil

Revision 1.54  2005/04/13 16:53:53  paladine
- updated to 2.0.13
- new style macros
- moved capplet to desktopdir
- don't package deprecated gnome-mime-data stuff

Revision 1.53  2005/03/20 17:05:15  aflinta
- rebuild with howl 0.9.10, release 4

Revision 1.52  2004/09/17 16:17:58  havner
- [mass commit] rel++ for s/Capplet/X-Capplet in sources

Revision 1.51  2004/09/16 21:31:45  havner
- capplet patch
- rel 2

Revision 1.50  2004/09/03 21:04:33  grzegol
- updated to 2.0.12
- removed outdated locale_names patch
- remove no locale in %%install

Revision 1.49  2004/08/27 14:27:42  grzegol
- updated to 2.0.11
- removed outdated gcc34 patch

Revision 1.48  2004/07/26 12:29:05  grzegol
- added gcc34 patch
- strict internal deps

Revision 1.47  2004/07/26 08:56:17  ankry
- no -> nb (-locale_names patch), rel. 5

Revision 1.46  2004/01/25 18:45:47  undefine
- fix build on amd64, release 4

Revision 1.45  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.44  2003/11/09 09:54:31  krzak
- typoo

Revision 1.43  2003/11/09 02:34:30  krzak
- move capplet to {_datadir}/gnome/capplets
- rel 3

Revision 1.42  2003/10/14 13:33:32  qboosh
- -devel deps, BR: pkgconfig, cleanups

Revision 1.41  2003/08/01 11:58:50  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.40  2003/07/21 20:43:08  grzegol
- updated to 2.0.10
- added scrollkeeper-update to %%post/%%postun

Revision 1.39  2003/07/04 07:46:59  qboosh
- cleanup, removed static modules and *.la for conduits

Revision 1.38  2003/07/03 16:44:18  freetz
- more requires (GConf2, ldconfig)

Revision 1.37  2003/07/03 15:38:38  freetz
- up to version 2.0.9
- updated file list
- added find_lang macro
- source0 url moved to http

Revision 1.36  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.35  2003/05/25 05:48:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/02/14 22:53:03  grzegol
- updated to 2.0.0

Revision 1.33  2003/01/18 22:50:06  juandon
- removed two lines with define

Revision 1.32  2002/12/03 21:33:58  ankry
- cleaning

Revision 1.31  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.30  2002/11/11 08:42:50  kloczek
- updated to 0.1.69.

Revision 1.29  2002/10/24 21:13:17  kloczek
- updated to 0.1.67: bug fixes.

Revision 1.28  2002/10/10 21:44:01  kloczek
- updated to 0.1.66,
- merge translations from TurboLinux.

Revision 1.27  2002/10/09 09:01:47  qboosh
- BR: libtool

Revision 1.26  2002/08/12 12:19:28  mmazur
- forced to build; rel5; STBR

Revision 1.25  2002/08/06 13:39:00  qboosh
- BR: libglade-gnome-devel; new %%doc, release 4

Revision 1.24  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.23  2002/05/21 23:13:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/04/25 16:26:48  arturs
fixed a small typo

Revision 1.21  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.19  2002/03/11 13:25:10  blues
- ac/am regeneration
- am_fix added - "sed-patching" added
NOTE: ac fixes are still needed

Revision 1.18  2002/03/10 11:15:10  kloczek
- merge translations from KSI and Conectiva.

Revision 1.17  2002/02/25 08:04:15  marcus
- rel.3.

Revision 1.16  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/18 19:28:54  gotar
- %desc

Revision 1.13  2002/02/02 20:17:25  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.10  2000/12/30 04:01:53  michuz
- release 2
- moved %%{_applnkdir}/Settings/* moved %%{_applnkdir}/Settings/GNOME

Revision 1.9  2000/10/29 17:19:15  kloczek
- updated to 0.1.54,
- rebuild against gnome-libs linked with db3,
- use new rpm automation,
- updated BuidRequires rules. DESTDIR patch and %files list.

Revision 1.8  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.5  2000/04/03 02:09:38  kloczek
- updated to 0.1.50.

Revision 1.4  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:20  baggins
- translated kloczkish into english

Revision 1.2  2000/03/26 14:53:25  kloczek
- updated to 0.1.49 and completly rewrited in PLD style.

* Wed Feb 17 1999 Eskil Heyn Olsen <deity@eskil.dk>
- Created the .spec file
